Subject: RE: [Sipping] Question on do not disturb indication

From: "Elwell, John" <[email-masked]>
Date: Thu, 03 Aug 2006 19:32:41 +0100

Francois,

It is not only that I want the caller to know that I am in DND - also my
proxy, if it is scripted to perform special behaviour on DND (e.g.,
retarget), then I would like it to know. I am not sure that 480 is
sufficiently precise.

John 

> -----Original Message-----
> From: Francois Audet [mailto:[email-masked]] 
> Sent: 03 August 2006 19:10
> To: Elwell, John; Paul Kyzivat; Scott Lawrence
> Cc: [email-masked]
> Subject: RE: [Sipping] Question on do not disturb indication
> 
>  
> > [JRE] I agree that "make busy" is a separate feature and is 
> > best dealt with by 486. But where I explicitly want the 
> > caller to know that I am in DND (possibly with a retry-after 
> > time), do you think that 480 is sufficient, bearing in mind 
> > that it gets used for other purposes too, e.g., in RFC3398?
> 
> Personally, I think it is sufficient, and I also think that 
> mapping DND to 480 is pretty much established by now.
> 
> My perspective is Enterprise-centric however: there might be
> some Service Provider services that need a more precise indication.
> I could be convinced that it is needed...
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Francois Audet" <[email-masked]>
Date: Fri, 4 Aug 2006 11:20:47 -0500

Hi John,

Can you provide me an example of where  a proxy would react different to
"temporarily unavailable" versus "Do not disturb"?

I sense that this is kind of similar to the ambiguity of 302 problem...

> From: Elwell, John [mailto:[email-masked]] 
> Sent: Thursday, August 03, 2006 11:33 AM
> To: Audet, Francois (SC100:3055); Paul Kyzivat; Scott Lawrence
> Cc: [email-masked]
> It is not only that I want the caller to know that I am in 
> DND - also my proxy, if it is scripted to perform special 
> behaviour on DND (e.g., retarget), then I would like it to 
> know. I am not sure that 480 is sufficiently precise.
> 
> John 
> 
> > > [JRE] I agree that "make busy" is a separate feature and is best 
> > > dealt with by 486. But where I explicitly want the caller to know 
> > > that I am in DND (possibly with a retry-after time), do you think 
> > > that 480 is sufficient, bearing in mind that it gets used 
> for other 
> > > purposes too, e.g., in RFC3398?
> > 
> > Personally, I think it is sufficient, and I also think that mapping 
> > DND to 480 is pretty much established by now.
> > 
> > My perspective is Enterprise-centric however: there might be some 
> > Service Provider services that need a more precise indication.